 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'RightsDeleteA')
	BEGIN
		DROP  Procedure  RightsDeleteA
	END

GO
/***********************************************
***功能描述：删除一个权限，包括Group_Rights和User_Rights的记录
***传入传出参数：
***	@RightID：		类型：int，传入参数
***				   描述：要删除的权限编号
***	@SubSystemID： 类型：varchar(6)，传入参数
***				   描述：子系统编号
***作者：
***建立时间:2009-1-6
***更改时间：
***更改人：
***更改原因：
	  ****************************************************/
CREATE PROCEDURE [dbo].[RightsDeleteA]
	(
	@SubSystemID varchar(6),
	@RightID int
	)
AS
IF EXISTS(SELECT 1 FROM [dbo].[Rights] WHERE [RightID]=@RightID AND SubSystemID=@SubSystemID)
BEGIN
	DELETE FROM [dbo].[Group_Right] WHERE [RightID]=@RightID
	DELETE FROM [dbo].[User_Right] WHERE [RightID]=@RightID
	DELETE FROM [dbo].[Rights] WHERE [RightID]=@RightID
END